> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Delete an experience fragment by ID

DELETE https://api.contentful.com/spaces/{spaceId}/environments/{environmentId}/experience_fragments/{id}

Reference: https://contentful.com/developers/docs/references/experience-management-api/experience-fragments/delete-experience-fragment

## Authentication

- `Authorization` header (bearer token, required) — Contentful Management API token

## Request

### Path parameters

- `spaceId` (string, required)
- `environmentId` (string, required)
- `id` (string, required)

### Query parameters

- `access_token` (string, optional)

## Response

### 204

204

## Errors

### 400 Bad Request Error

400

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 401 Unauthorized Error

401

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 403 Forbidden Error

403

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 404 Not Found Error

404

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 409 Conflict Error

409

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 422 Unprocessable Entity Error

422

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `details` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 500 Internal Server Error

500

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

### 503 Service Unavailable Error

503

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys, required)
- `message` (string, optional)
- `requestId` (string, optional)
- `details` (any, optional)
- `i18nContext` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext, optional)

## Types

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaSys

- `id` (string, required)
- `type` (enum, required)
  - Allowed values: `Error`

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContext

- `code` (string, required)
- `pluralCount` (double, optional)
- `parameters` (map from string to SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters, optional)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails

- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails0
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails1

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters

- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails0

- `errors` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails1

- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails10
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails11
- SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails12

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters0

- `type` (enum, required)
  - Allowed values: `string`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters1

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters2

- `type` (enum, required)
  - Allowed values: `date`
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters3

- `type` (enum, required)
  - Allowed values: `array.string`
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaI18NContextParameters4

- `type` (enum, required)
  - Allowed values: `array.number`
- `value` (list of double, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails10

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails11

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf1ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetails12

- `errors` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf2ErrorsItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItems

- `message` (string, required)
- `references` (list of SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItems, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf1ErrorsItems

- `name` (enum, required)
  - Allowed values: `UsedInRelease`
- `details` (string, required)
- `path` (list of string, required)
- `value` (string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf2ErrorsItems

- `name` (enum, required)
  - Allowed values: `HasOptimizationVariants`
- `details` (string, required)
- `path` (list of string, required)
- `value` (list of string, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItems

- `sys` (SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItemsSys, required)

### SpacesSpaceIdEnvironmentsEnvironmentIdExperienceFragmentsIdDeleteResponsesContentApplicationJsonSchemaDetailsOneOf1OneOf0ErrorsItemsReferencesItemsSys

- `type` (enum, required)
  - Allowed values: `ResourceLink`
- `linkType` (string, required)
- `urn` (string, required)